WordPress.org

Support

Support » How-To and Troubleshooting » JavaScript issues in 2.8: Can’t do anything in the admin…

JavaScript issues in 2.8: Can’t do anything in the admin…

  • I upgraded to 2.8, and now my WordPress admin is practically useless. I can’t reorder or hide any of the Dashboard widgets; only the first one (Right Now) can be dragged, and the checkboxes to hide the widgets don’t have any effect.

    JavaScript links like Quick Edit, Spam comment, etc don’t do anything either. I can’t get my day-to-day administration done with core features like these broken.

    I’ve tried clearing my cache, re-uploading the wp-admin and wp-includes directories, but no dice.

Viewing 13 replies - 1 through 13 (of 13 total)
  • Well, I’m going to downgrade to 2.7.1 in the meantime then. I can’t have my workflow disrupted…

    EDIT: Scratch that, WP doesn’t like being downgraded, especially if you have the latest WP-Polls…

    Bump – so we can get an answer, hopefully. =)

    Moderator Andrew Ozz

    @azaozz

    Almost all JS problems seem to be caused by a theme or a plugin. Check if something includes wrong (old) version of jQuery on all pages.

    If that’s not the problem, try adding define( 'CONCATENATE_SCRIPTS', false ); to wp-config.php as described here: http://wordpress.org/support/topic/279132

    I’m pretty sure it’s not a plugin problem. Here’s the header script output with the CONCATENATE_SCRIPTS constant set to true:

    <script type="text/javascript" src="http://intensedebate.com/services/v1/jsLogin.php?appKey=wpplugin&userid=279563&userKey=eaPQTFWLzu6V29QF01O0"></script>
    <script type='text/javascript' src='http://www.webmaster-source.com/wp-includes/js/jquery/jquery.js?ver=1.3.2'></script>
    <script type='text/javascript' src='http://www.webmaster-source.com/index.php?id_inc=settings_js&ver=2.8'></script>
    <script type='text/javascript' src='http://www.webmaster-source.com/wp-admin/js/utils.js?ver=20090102'></script>
    <script type='text/javascript' src='http://www.webmaster-source.com/wp-content/plugins/tweetable/admin_scripts.js?ver=2.8'></script>
    <script type='text/javascript' src='http://www.webmaster-source.com/wp-includes/js/quicktags.js?ver=20090307'></script>

    And so on.

    Everything seems to be the latest, and I don’t see anything that might throw it off…

    Almost all JS problems seem to be caused by a theme or a plugin. Check if something includes wrong (old) version of jQuery on all pages.

    If that’s not the problem, try adding define( ‘CONCATENATE_SCRIPTS’, false ); to wp-config.php as described here: http://wordpress.org/support/topic/279132

    Thanks but didn’t work for me too. =(

    Are the rest of you running IntenseDebate? I just upgraded to the latest version of the plugin and everything seems to be working now.

    Are the rest of you running IntenseDebate? I just upgraded to the latest version of the plugin and everything seems to be working now.

    I’m not using that. =( Hopefully, there’s another remedy. =)

    OK, so the problem could be from Category Icons plugin (if you are using it). Here’s the remedy:

    http://www.category-icons.com/2009/06/category-icons-patch-for-wordpress-28

    =) Happy blogging y’all!

    I can confirm that upgrading Intense Debate fixed it for me on three different blogs.

    For me the issue was that the javascript folders lost its read access, so /wp-content/plugins/simple-tags/2.7/inc/js/helper-bcomplete.js?ver=1.6.6 gave a permission error.

    Setting the read parameter for all my plugins fixed my admin panel.

    so how can we fix the problem ?

    esmi

    @esmi

    Forum Moderator

    Have you tried:

    – deactivating all plugins to see if this resolves the problem? If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    – switching to the default theme to rule out any theme-related problems?

    resetting the plugins folder by FTP or phpMyAdmin? Sometimes, an apparently inactive plugin can still cause problems.

Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘JavaScript issues in 2.8: Can’t do anything in the admin…’ is closed to new replies.
Skip to toolbar